%define sover 11

Summary:	Printing libraries for GNOME
Name:		gnome-print
Version: 	0.25
Release:	9
Epoch:		1
Copyright:	LGPL
Group:		System Environment/Base
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript-fonts
PreReq:	libxml
PreReq: VFlib2

# Red Hat patches
Patch1: gnome-print-0.25-localeh.patch
# Helix patches
# Japanese patches
Patch10:	gnome-print-0.25-print-ja.patch
Patch11:	gnome-print-0.25-preview-ja.patch
Patch12:	gnome-print-0.25-fontset.patch
Patch13:	gnome-print-0.25-gnumeric-ja.patch


%description 
This package contains the printing apparatus for GNOME, the complete
graphical desktop environment based entirely on free software.

%package -n libgnomeprint%{sover}
Summary:	Printing libraries for GNOME
Group:		System Environment/Base
Requires:	%{name} >= %{version}

%description -n libgnomeprint%{sover}
This package contains the printing apparatus for GNOME, the complete 
graphical desktop environment based entirely on free software.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group:          Development/Libraries

Requires: %{name} = %{PACKAGE_VERSION}
Requires: libgnomeprint%{sover} = %{PACKAGE_VERSION}

%description devel
This package contains the printing apparatus for GNOME, the complete
graphical desktop environment based entirely on free software.

%prep
%setup -q -n %{name}-%{version}
echo "	*****     Applying RH patches        *****	"
%patch1 -p1 -b .localeh
echo "	*****     Applying Helix patches     *****	"
echo "	*****     Applying Japanese patches  *****	"
%patch10 -p1 -b .print-ja
%patch11 -p1 -b .preview-ja
%patch12 -p1 -b .fontset
%patch13 -p1 -b .gnumeric-ja

%build
libtoolize --copy --force
autoheader
automake
autoconf
CFLAGS=" -pipe $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir}
pushd fonts
install -c *.font $RPM_BUILD_ROOT%{_prefix}/share/fonts
popd
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig 

%{_prefix}/bin/gnome-font-install --system --scan --no-copy \
        --afm-path=%{_prefix}/share/fonts/afms \
        --pfb-path=%{_prefix}/share/fonts/pfbs \
	--pfb-assignment=ghostscript,%{_prefix}/share/ghostscript/fonts \
	--afm-assignment=ghostscript,%{_prefix}/share/ghostscript/fonts \
        --pfb-assignment=ghostscript,%{_prefix}/share/fonts/default/Type1 \
        --afm-assignment=ghostscript,%{_prefix}/share/fonts/default/Type1 \
        %{_prefix}/share/fonts/ > /dev/null

%postun 
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/bin/*
%{_prefix}/share/fonts/afms/adobe/*
%{_prefix}/share/fonts/*.font

%files -n libgnomeprint%{sover}
%defattr(-, root, root)
%config %{_prefix}/share/gnome-print/%{version}/profiles/
%{_prefix}/lib/lib*.so.%{sover}
%{_prefix}/lib/lib*.so.%{sover}.*

%files devel
%defattr(-, root, root)

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*.a
%{_prefix}/lib/*.la
%{_prefix}/lib/*.sh
%{_prefix}/include/*/*

%changelog
* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- patch it to compile (didn't include locale.h when needed)
- use %%{_tmppath}

* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed font problem for Japanese.
- Fixed library dependency on VFlib (Bug#28331)

* Wed Feb 21 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #27417, simple specfile %post fix.

* Sun Feb 18 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed PostScript broken.
- Added autoheader,automake,autoconf stuff.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese patch for Gnumeric.
  Created dummy .afm.

* Mon Feb 05 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed gdk_fontset_load().
- Added Japanese patch for Gnumeric.

* Fri Feb 02 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
  Fixed Print and Preview with Japanese.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.25

* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- added "|| true" to %%post so that if font-install screws up we don't get a
  bad exit status.  gnome-font-install expects that the directory specified by
  HOME env. var is writable, but it isn't always if you install with 'sudo'
  or the equivalent.  bad. bad. bad.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- redirect %%post script output to /dev/null

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Spec file fixes
